package com.chinaitop.depot.intelligent.grainsituation.model;

import java.math.BigDecimal;
import java.util.Date;

public class TQtdevinfoValue {
    private String id;

    private String orgId;

    private String vCfCode;

    private String vDevCode;

    private Date vValueTime;

    private BigDecimal cpoAvg;

    private String vDevKindCode;

    private String dataSource;

    /**
     * 气体id 
     * @return id 气体id 
     */
    public String getId() {
        return id;
    }

    /**
     * 气体id 
     * @param id 气体id 
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 
     * @return org_id 
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 
     * @param orgId 
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 仓房编码
     * @return v_cf_code 仓房编码
     */
    public String getvCfCode() {
        return vCfCode;
    }

    /**
     * 仓房编码
     * @param vCfCode 仓房编码
     */
    public void setvCfCode(String vCfCode) {
        this.vCfCode = vCfCode == null ? null : vCfCode.trim();
    }

    /**
     * 气体code
     * @return v_dev_code 气体code
     */
    public String getvDevCode() {
        return vDevCode;
    }

    /**
     * 气体code
     * @param vDevCode 气体code
     */
    public void setvDevCode(String vDevCode) {
        this.vDevCode = vDevCode == null ? null : vDevCode.trim();
    }

    /**
     * 采集时间
     * @return v_value_time 采集时间
     */
    public Date getvValueTime() {
        return vValueTime;
    }

    /**
     * 采集时间
     * @param vValueTime 采集时间
     */
    public void setvValueTime(Date vValueTime) {
        this.vValueTime = vValueTime;
    }

    /**
     * cpo平均值
     * @return cpo_avg cpo平均值
     */
    public BigDecimal getCpoAvg() {
        return cpoAvg;
    }

    /**
     * cpo平均值
     * @param cpoAvg cpo平均值
     */
    public void setCpoAvg(BigDecimal cpoAvg) {
        this.cpoAvg = cpoAvg;
    }

    /**
     * 数据类型（PH3/CO2/O2)
     * @return v_dev_kind_code 数据类型（PH3/CO2/O2)
     */
    public String getvDevKindCode() {
        return vDevKindCode;
    }

    /**
     * 数据类型（PH3/CO2/O2)
     * @param vDevKindCode 数据类型（PH3/CO2/O2)
     */
    public void setvDevKindCode(String vDevKindCode) {
        this.vDevKindCode = vDevKindCode == null ? null : vDevKindCode.trim();
    }

    /**
     * 
     * @return data_source 
     */
    public String getDataSource() {
        return dataSource;
    }

    /**
     * 
     * @param dataSource 
     */
    public void setDataSource(String dataSource) {
        this.dataSource = dataSource == null ? null : dataSource.trim();
    }
}